Debian Bug report logs - #677789
RM: rubybook -- RoQA; orphaned, outdated

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ana Guerrero <ana@debian.org>

Date: Sat, 16 Jun 2012 19:00:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ag@roxor.cx, wnpp@debian.org:
Bug#677789; Package wnpp. (Sat, 16 Jun 2012 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
New Bug report received and forwarded. Copy sent to ag@roxor.cx, wnpp@debian.org. (Sat, 16 Jun 2012 19:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: submit@bugs.debian.org
Subject: O: rubybook -- the "Programming Ruby" book
Date: Sat, 16 Jun 2012 20:56:35 +0200
Package: wnpp
Severity: normal

The current maintainer of rubybook, Aurélien GÉRÔME <ag@roxor.cx>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: rubybook
Binary: rubybook
Version: 0.2.1-1
Maintainer: Aurélien GÉRÔME <ag@roxor.cx>
Build-Depends: debhelper (>= 4)
Architecture: all
Standards-Version: 3.7.2
Format: 1.0
Files:
 b556bff1a306612230883a70daac5334 560 rubybook_0.2.1-1.dsc
 f239afe6a495a582e0525cb1b3555fc4 797606 rubybook_0.2.1.orig.tar.gz
 bdfb254114b0ac7d0d01f36497b70b0f 4705 rubybook_0.2.1-1.diff.gz
Checksums-Sha1:
 a43ad5143aab322d01370164b695cd95d45b58a2 560 rubybook_0.2.1-1.dsc
 cdf88dbd0ec2568ef97fc22db4b3260dce122c00 4705 rubybook_0.2.1-1.diff.gz
 7793c20da313f374a986118f48ff86cfd9ba35b5 797606 rubybook_0.2.1.orig.tar.gz
Checksums-Sha256:
 df7ec9881d08b079ed594eeba3b3887b473a17189a111411b3d315382619f0f8 560 rubybook_0.2.1-1.dsc
 1923a19d172e06fa7e9cf417e773b48a7dcc41a62f1464a2d1bb2674b1e18cdc 4705 rubybook_0.2.1-1.diff.gz
 a069c25f69d380e8037b7c606c0131b2707ebf16fe0b5c23a5b328de2b31b056 797606 rubybook_0.2.1.orig.tar.gz
Directory: pool/non-free/r/rubybook
Priority: source
Section: non-free/doc

Package: rubybook
Version: 0.2.1-1
Installed-Size: 2256
Maintainer: Aurélien GÉRÔME <ag@roxor.cx>
Architecture: all
Suggests: ruby
Description-en: the "Programming Ruby" book
 This book is a tutorial and reference for the Ruby programming language. Use
 Ruby, and you'll write better code, be more productive, and enjoy programming
 more. The book is a guide to working with the object-oriented programming
 language, teaching the basics, plus how to write large programs, how to
 extend Ruby using C code, and much more.
 .
 This is the HTML version of the "Programming Ruby" book by David Thomas and
 Andrew Hunt, published by Addison-Wesley and graciously licensed under the
 Open Publication License.
Description-md5: 899c269dfce606ada4d62fdbb661a1a4
Tag: devel::doc, devel::lang:ruby, made-of::html, role::documentation
Section: non-free/doc
Priority: optional
Filename: pool/non-free/r/rubybook/rubybook_0.2.1-1_all.deb
Size: 411078
MD5sum: 0f21cc1f035aba600d7747b73a1538c2
SHA1: 9331f9844ea5522fcd6cc297e68c2ec6c1d4feae
SHA256: b8abc27a3d95c882209240b679ba063d2da90c43f1909711fd790334b41681dc





Changed Bug title to 'ITA: rubybook -- the "Programming Ruby" book' from 'O: rubybook -- the "Programming Ruby" book' Request was from "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com> to control@bugs.debian.org. (Fri, 29 Jun 2012 21:39:12 GMT) Full text and rfc822 format available.

Owner recorded as gz@member.fsf.org. Request was from "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com> to control@bugs.debian.org. (Fri, 29 Jun 2012 21:39:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 677789: 679820 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 01 Jul 2012 21:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, gz@member.fsf.org:
Bug#677789; Package wnpp. (Fri, 16 Aug 2013 17:07:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, gz@member.fsf.org. (Fri, 16 Aug 2013 17:07:57 GMT) Full text and rfc822 format available.

Message #16 received at 677789@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 677789@bugs.debian.org
Cc: control@bugs.debian.org
Subject: rubybook: changing back from ITA to O
Date: Fri, 16 Aug 2013 18:58:45 +0200
retitle 677789 O: rubybook -- the "Programming Ruby" book
noowner 677789
tag 677789 - pending
thanks

Hi,

A long time ago, you expressed interest in adopting rubybook. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITA bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from adopting the package.

This is an automatic email to change the status of rubybook back from ITA
(Intent to Adopt) to O (Orphaned), as this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting rubybook, please send a mail to
<control@bugs.debian.org> with:

 retitle 677789 ITA: rubybook -- the "Programming Ruby" book
 owner 677789 !
 thanks

It is also a good idea to document your progress on this ITA from time to
time, by mailing <677789@bugs.debian.org>. If you need guidance on how to
adopt this package, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: rubybook -- the "Programming Ruby" book' from 'ITA: rubybook -- the "Programming Ruby" book' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:15:18 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by gz@member.fsf.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:15:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#677789; Package wnpp. (Sun, 26 Jan 2014 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 26 Jan 2014 19:45:04 GMT) Full text and rfc822 format available.

Message #25 received at 677789@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: control@bugs.debian.org
Cc: 677789@bugs.debian.org
Subject: RM: rubybook -- RoQA; orphaned, outdated
Date: Sun, 26 Jan 2014 21:42:21 +0200
reassign 677789 ftp.debian.org
retitle 677789 RM: rubybook -- RoQA; orphaned, outdated
thanks

There is not much value in shipping a book from 2000 in non-free.

And if anyone actually wants to read it, it is also available
online at [1].

cu
Adrian

[1] http://ruby-doc.com/docs/ProgrammingRuby/

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 26 Jan 2014 19:45:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: rubybook -- RoQA; orphaned, outdated' from 'O: rubybook -- the "Programming Ruby" book' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 26 Jan 2014 19:45:11 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 05 Feb 2014 21:40:24 GMT) Full text and rfc822 format available.

Notification sent to Ana Guerrero <ana@debian.org>:
Bug acknowledged by developer. (Wed, 05 Feb 2014 21:40:24 GMT) Full text and rfc822 format available.

Message #34 received at 677789-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 677789-close@bugs.debian.org
Cc: rubybook@packages.debian.org, rubybook@packages.qa.debian.org
Subject: Bug#677789: Removed package(s) from unstable
Date: Wed, 05 Feb 2014 21:39:19 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  rubybook |    0.2.1-1 | source, all

------------------- Reason -------------------
RoQA; orphaned, outdated
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors until the next
dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677789@bugs.debian.org.

The full log for this bug can be viewed at https://bugs.debian.org/677789

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Mar 2014 07:46:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:37:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.